local luaCutscenesUtils = require("#Celeste.Mod.MaxHelpingHand.Module.LuaCutscenesUtils")

local function doFadeWipe(state)
    fadeWipe = celeste.FadeWipe(engine.Scene, state, nil) -- (state = "false" escurece ,"true" clareia)
    engine.Scene:Add(fadeWipe)
    fadeWipe.duration = 2
    fadeWipe.EndTimer = 3
  end


function onBegin()
    disablePause()
    disableMovement()
    doFadeWipe(false)
    wait(0.5)
    setFlag("deepwell_fadein")
end